Package: org.grails.web.databinding.bindingsource

## [Groovy] Class DefaultDataBindingSourceCreator

- org.grails.web.databinding.bindingsource.DefaultDataBindingSourceCreator

- All Implemented Interfaces and Traits:
    DataBindingSourceCreator

      @groovy.transform.CompileStatic
      class DefaultDataBindingSourceCreator
      extends java.lang.Object
      implements DataBindingSourceCreator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultDataBindingSourceCreator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `protected DataBindingSource` | `createDataBindingSource(java.lang.Object bindingTarget, javax.servlet.http.HttpServletRequest req)`
    `` | `MimeType[]` | `getMimeTypes()`
    `` | `java.lang.Class` | `getTargetType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### DefaultDataBindingSourceCreator()

  - ### Method Detail

    - #### @java.lang.Override CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### @java.lang.Override DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### protected DataBindingSource createDataBindingSource(java.lang.Object bindingTarget, javax.servlet.http.HttpServletRequest req)

    - #### @java.lang.Override MimeType[] getMimeTypes()

    - #### @java.lang.Override java.lang.Class getTargetType()